import { PublicKey } from '@solana/web3.js';
import { Program } from '@coral-xyz/anchor';
import { utils } from '@wormhole-foundation/sdk-solana';
import { TokenBridgeCoder } from './coder/index.js';
// ts-ignoring because of this nonsense https://github.com/microsoft/TypeScript/issues/51783
/* @ts-ignore */
import IDL from '../../anchor-idl/token_bridge.json' assert { type: 'json' };
;
export function createTokenBridgeProgramInterface(programId, provider) {
    return new Program(IDL, new PublicKey(programId), provider === undefined ? { connection: null } : provider, coder());
}
export function createReadOnlyTokenBridgeProgramInterface(programId, connection) {
    return createTokenBridgeProgramInterface(programId, utils.createReadOnlyProvider(connection));
}
export function coder() {
    return new TokenBridgeCoder(IDL);
}
//# sourceMappingURL=program.js.map